#include "C_SOMEPROJECTTEMPLATE_MainWindow.h"
#include "ui_C_SOMEPROJECTTEMPLATE_MainWindow.h"
#include "MyWidget.h"
#include "MyMdiArea.h"

#include <QApplication>
#include <QDebug>

C_SOMEPROJECTTEMPLATE_MainWindow::C_SOMEPROJECTTEMPLATE_MainWindow(QWidget *parent)
	:QMainWindow(parent)
	,ui(new Ui::C_SOMEPROJECTTEMPLATE_MainWindow)
{
	ui->setupUi(this);

	if(QApplication* a=dynamic_cast<QApplication*>(QApplication::instance()))
	{
		a->setQuitOnLastWindowClosed(false);
	}
}

C_SOMEPROJECTTEMPLATE_MainWindow::~C_SOMEPROJECTTEMPLATE_MainWindow()
{
	delete ui;
}

void C_SOMEPROJECTTEMPLATE_MainWindow::closeEvent(QCloseEvent* event)
{
	if(QApplication* a=dynamic_cast<QApplication*>(QApplication::instance()))
	{
		a->setQuitOnLastWindowClosed(true);
		a->closeAllWindows();
	}

	QMainWindow::closeEvent(event);
}

void C_SOMEPROJECTTEMPLATE_MainWindow::on_open_MyWidget_clicked()
{
	MyWidget dlg(0);
	dlg.exec();
}

void C_SOMEPROJECTTEMPLATE_MainWindow::on_open_MyMdiArea_clicked()
{
	MyMdiArea dlg;
	QEventLoop loop;

	connect(&dlg,dlg.quit,&loop,loop.quit);
	dlg.show();

	setEnabled(0);
	loop.exec();
	setEnabled(1);
}

