#include "MyMdiArea.h"
#include "MyMdiSubWindow.h"

void MyMdiArea::AddSub()
{
	MyMdiSubWindow* pS=new MyMdiSubWindow(this);
	m_subs<<pS;
}

void MyMdiArea::DeleteAllSubs()
{
	for(QVector<QMdiSubWindow*>::iterator it=m_subs.begin(); it!=m_subs.end(); it++)
	{
		delete *it;
	}
	m_subs.clear();
}

MyMdiArea::MyMdiArea()
{
	AddSub();
	AddSub();
	AddSub();
	AddSub();

	tileSubWindows();
}

MyMdiArea::~MyMdiArea()
{
	DeleteAllSubs();
}

void MyMdiArea::closeEvent(QCloseEvent* event)
{
	quit();
	QMdiArea::closeEvent(event);
}
