#include "MyMdiSubWindow.h"
#include "MyMdiArea.h"
#include "ui_MyWidget.h"
#include "MyScrollHandler.h"

#include <QHBoxLayout>

MyMdiSubWindow::MyMdiSubWindow(MyMdiArea* parent)
	:QMdiSubWindow(parent)
	,m_parent(parent)
	,ui(new Ui_MyWidget)
{
	//создаём виджет на основе MyWidget
	QDialog* d=new QDialog(this);
	d->setWindowFlags(Qt::Widget);
	ui->setupUi(d);

	//кладём его в компоновщик нашего SubWindow
	layout()->addWidget(d);

	//создаём обработчик прокрутки
	new MyScrollHandler(this);
}

MyMdiSubWindow::~MyMdiSubWindow()
{
	delete ui;
}
